net.minecraft.world

## Class NextTickListEntry

- java.lang.Object
- - net.minecraft.world.NextTickListEntry

- All Implemented Interfaces:
    java.lang.Comparable

      public class NextTickListEntry
      extends java.lang.Object
      implements java.lang.Comparable

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `priority`
    `long` | `scheduledTime`
    `int` | `xCoord`
    `int` | `yCoord`
    `int` | `zCoord`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NextTickListEntry(int p_i45370_1_, int p_i45370_2_, int p_i45370_3_, Block p_i45370_4_)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(NextTickListEntry par1NextTickListEntry)`
    `int` | `compareTo(java.lang.Object par1Obj)`
    `boolean` | `equals(java.lang.Object par1Obj)`
    `Block` | `func_151351_a()`
    `int` | `hashCode()`
    `void` | `setPriority(int par1)`
    `NextTickListEntry` | `setScheduledTime(long par1)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### xCoord

          public int xCoord

    - #### yCoord

          public int yCoord

    - #### zCoord

          public int zCoord

    - #### scheduledTime

          public long scheduledTime

    - #### priority

          public int priority

  - ### Constructor Detail

    - #### NextTickListEntry

          public NextTickListEntry(int p_i45370_1_,
                           int p_i45370_2_,
                           int p_i45370_3_,
                           Block p_i45370_4_)

  - ### Method Detail

    - #### equals

          public boolean equals(java.lang.Object par1Obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### setScheduledTime

          public NextTickListEntry setScheduledTime(long par1)

    - #### setPriority

          public void setPriority(int par1)

    - #### compareTo

          public int compareTo(NextTickListEntry par1NextTickListEntry)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### func_151351_a

          public Block func_151351_a()

    - #### compareTo

          public int compareTo(java.lang.Object par1Obj)

      Specified by:
        `compareTo` in interface `java.lang.Comparable`